VST en Linux, compilado, sí, aquí!!

#1 el 19/06/2007
Publicidad
Si hubiese una FAQ del canal GNU/Linux en HispaSonic tendría sólo una pregunta: ¿Puedo utilizar plug-ins VST en Linux?

La respuesta es, descarga FST compilado de aquí:

http://www.zshare.net/download/23344343284ca2/

Descomprime el contenido del archivo en /usr/local/bin como root. Has de tener Gnome (o al menos GTK+) jackd y wine instalados. JACK ha de estar corriendo. Si tu tarjeta de sonido no tiene sintetizador ni salida MIDI, habrás de cargar el módulo snd-seq usando modprobe, o no podrás conectar ni vkeybd a la entrada MIDI del instrumento VST, Simplemente ejecuta fst más el nombre del fichero DLL del plug-in VST en el directorio actual, algo así:

$ fst Oberon-8.dll

Y utiliza p.ej. qjackctl para conectar la salida de audio del plug-in y eventualmente la entrada MIDI tal y como lo necesites.

En breve un artículo sobre cómo compilar FST tú mismo, por si te da por ahí. Por supuesto, en flagrante violación de la GPL que espero sepáis perdonar, no incluyo las fuentes del descargable.

Por favor incluid como respuesta a este tema reseñas sobre qué plug-ins funcionan y cómo de bien, y qué plug-ins no funcionan ni hartos de whisky.

Sígueme en Twitter

Subir
#2 el 19/06/2007
Hombre .. gracias tio.

Este es MySpace

Subir
#3 el 20/06/2007
Quiza sea rizar el rizo, pero... ¿Alguien sabe algo de si se pueden usar plugins dx en linux? Es que tengo algun plugin de waves que me esta esperando...
Subir
#4 el 22/06/2007
DirectX es otra película. En particular ser capaz de correr un plug-in DirectX implica haber sido capaz antes de instalar todo el DirectX en Linux. En comparación soportar VST es mucho más sencillo.

Sígueme en Twitter

Subir
#5 el 22/06/2007
Pues es una pena porque los plugins de waves son tremendos, lo mas serio que he visto en formato software. Pero bueno, hay cosas como T-Rack (o algo parecido) en VST que creo tambien estan bien. De todas formas, creo que antes de comprar un VST para que despues tenga que lidiar con el SO para que me funcione a medio gas, prefiero comprar algun cacharro de segunda mano en ebay o algo parecido.
Subir
#6 el 12/08/2007
Pero tienes waves en formato VST tio !

Ciao & bacci per tutti - http://www.neomad.net

Subir
#7 el 16/11/2007
ivalladt escribió:
Si tu tarjeta de sonido no tiene sintetizador ni salida MIDI, habrás de cargar el módulo snd-seq usando modprobe, o no podrás conectar ni vkeybd a la entrada MIDI del instrumento VST


podrías explicar eso en mas detalle? gracias..

http://hord.com.ar
Es bueno saber de todo, pero mucho mejor es saber que hacer con lo poco que se sabe ;)

Subir
#8 el 21/11/2007
$ sudo modprobe snd-seq

O bien añade snd-seq a /etc/modules y se cargará automáticamente en cada arranque del equipo...

Sígueme en Twitter

Subir
#9 el 25/01/2008
¿Qué diferencias hay entre FST y DSSI-VST?

http://dssi.sourceforge.net/download.html

"El sexo es como el software libre, es mejor cuando es gratis." - Linus Torvalds

myspace.com/rithmus | rithmus.com

Subir
#10 el 25/01/2008
DSSI-VST hace "cargable" el plug-in VST en cualquier aplicación anfitriona DSSI. FST no es ningún formato de plug-in standard. Al primer toque, yo diría que DSSI-VST te dará mayor flexibilidad, pero puede que todo dependa de con cuál sistema puedas correr un mayor número de plug-ins VST sin problemas.

Sígueme en Twitter

Subir
#11 el 27/01/2008
Pensaba que alomejor soportaría más vst's. He visto que también corre por wine pero que necesita el SDK de los VST's de Steinberg o algo así.

No he probado FST pero entonces viendo que DSSI está en constante actualización..

Un link interesante que he visto: http://quicktoots.linuxaudio.org/toots/vst-plugins/

"El sexo es como el software libre, es mejor cuando es gratis." - Linus Torvalds

myspace.com/rithmus | rithmus.com

Subir
#12 el 31/01/2008
Hola gente
Me encuentro con el siguiente problema con el fst:

root@Fliqui:/usr/local/bin/fst# ./fst /media/hda1/Archivos\ de\ programa/VSTPlugIns/Organ3.dll
fixme:midi:OSS_MidiInit Synthesizer supports MIDI in. Not yet supported.
JACK tmpdir identified as [/dev/shm]
can't connect to JACK

Tengo jackd lanzado, pero no conecta.
Me pasa lo mismo al intentarlo con otros plugins VST.

¿Qué estoy haciendo mal?

Saludooos
Subir
#13 el 01/02/2008
"Synthesizer supports MIDI in. Not yet supported."

Sintetizador dispone de entrada MIDI, aún no soportado...

¿Quizá probando dssi-vst¿?

Sígueme en Twitter

Subir
#14 el 02/02/2008
Hola, me pasa una cosa con FST casi todos los vst me van bien, pero el Independence free de Yellow tools en concreto se ejecuta pero cuando le toco a algo me da el siguiente error:

JACK tmpdir identified as [/dev/shm]
err:ole:CoInitializeEx Attempt to change threading model of this apartment from multi-threaded to apartment threaded
gui_thread_id = 16
The program 'fst.exe.so' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
(Details: serial 52387 error_code 179 request_code 156 minor_code 7)
(Note to programmers: normally, X errors are reported asynchronously;
that is, you will receive the error a while after causing it.
To debug your program, run it with the --sync command line
option to change this behavior. You can then get a meaningful
backtrace from your debugger if you break on the gdk_x_error() function.)

que ssolucion podria tener esto? gracias

Decibelios Linuxeros

Subir
#15 el 04/02/2008
Te proponen correr el programa con la opción --sync. Hazlo, recoge la traza y envíamela. Preguntaremos en linux-audio-user y con un poco de suerte algún desarrollador puede encontrar el problema...

Sígueme en Twitter

Subir
Respuesta rápida
Identíficate o regístrate para poder responder en este hilo.